Package org.wso2.carbon.deployment.synchronizer.git

## Class TenantGitRepositoryContextCache

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.git.TenantGitRepositoryContextCache

-     public class TenantGitRepositoryContextCache
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cacheTenantGitRepoContext​(int tenantId, TenantGitRepositoryContext gitRepoCtx)` | Caches the TenantGitRepositoryContext instance for the tenant
    `static TenantGitRepositoryContextCache` | `getTenantRepositoryContextCache()` | Access method for TenantGitRepositoryContextCache singleton instance
    `void` | `removeCachedTenantGitContext​(int tenantId)` | Remove the cached TenantGitRepositoryContext instance for a tenant
    `TenantGitRepositoryContext` | `retrieveCachedTenantGitContext​(int tenantId)` | Retrieve the cached TenantGitRepositoryContext instance for a tenant
    `void` | `updateTenantGitRepositoryContext​(int tenantId, TenantGitRepositoryContext gitRepoCtx)` | Update the cached TenantGitRepositoryContext instance for a tenant

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTenantRepositoryContextCache

          public static TenantGitRepositoryContextCache getTenantRepositoryContextCache()

      Access method for TenantGitRepositoryContextCache singleton instance
      Returns:
        TenantGitRepositoryContextCache instance

    - #### cacheTenantGitRepoContext

          public void cacheTenantGitRepoContext​(int tenantId,
                                                TenantGitRepositoryContext gitRepoCtx)

      Caches the TenantGitRepositoryContext instance for the tenant
      Parameters:
        `tenantId` - tenant Id
        `gitRepoCtx` - TenantGitRepositoryContext instance

    - #### retrieveCachedTenantGitContext

          public TenantGitRepositoryContext retrieveCachedTenantGitContext​(int tenantId)

      Retrieve the cached TenantGitRepositoryContext instance for a tenant
      Parameters:
        `tenantId` - tenant Id
      Returns:
        c if available, else null

    - #### updateTenantGitRepositoryContext

          public void updateTenantGitRepositoryContext​(int tenantId,
                                                       TenantGitRepositoryContext gitRepoCtx)

      Update the cached TenantGitRepositoryContext instance for a tenant
      Parameters:
        `tenantId` - tenant Id
        `gitRepoCtx` - the cached TenantGitRepositoryContext instance to update

    - #### removeCachedTenantGitContext

          public void removeCachedTenantGitContext​(int tenantId)

      Remove the cached TenantGitRepositoryContext instance for a tenant
      Parameters:
        `tenantId` - tenant Id